import million.analyze.message_evaluation as msg_val
import million.parse.fb_exports as fb
import time

export = fb.parse_dirfiles("./data")
messages = export.messages

counts = {val for m in messages if (val := msg_val.get(m)) and val <= 1_000_000}
counts = sorted(counts)

expected_value = 1
intervals = []

for value in counts:
    if value != expected_value:
        interval_length = value - expected_value

        if interval_length == 1:
            intervals.append(str(expected_value))
        else:
            intervals.append(f"{expected_value}..{value - 1}")

    expected_value = value + 1

print(intervals)